Bug 817307 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/pavkamlc_40centrum_2ecz at 0x1fab550>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:f7dd6e44d7ddb0d1b207badb29a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 16:29 EDT by Pavel Mlčoch
Modified: 2013-02-13 05:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:55:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Mlčoch 2012-04-28 16:29:02 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.2-6.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/pavkamlc_40centrum_2ecz at 0x1fab550>
time:           Sat 28 Apr 2012 08:11:57 PM CEST
uid:            1000
username:       pavka

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/pavkamlc_40centrum_2ecz at 0x1fab550>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/pavkamlc_40centrum_2ecz at 0x1fab550>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x1fab110>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/pavkamlc_40centrum_2ecz at 0x1fab550>

smolt_data:
:
:
:General
:=================================
:UUID: d8fbeec7-46a8-488b-8a3d-4a8c0be714ab
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3600.11
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 64 X2 Dual Core Processor 3800+
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 75
:Number of CPUs: 1
:CPU Speed: 2000
:System Memory: 2930
:System Swap: 10015
:Vendor: MSI
:System: MS-7250 1.0
:Form factor: Desktop
:Kernel: 3.3.2-6.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:880:4318:52100) pci, None, PCI/PCI, MCP55 PCI bridge
:(4318:881:5218:29264) pci, snd_hda_intel, MULTIMEDIA, MCP55 High Definition Audio
:(4318:873:5218:29264) pci, None, RAM, MCP55 Memory Controller
:(4318:872:5218:29264) pci, nForce2_smbus, SERIAL, MCP55 SMBus
:(4318:866:5218:29264) pci, None, PCI/ISA, MCP55 LPC Bridge
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4318:876:5218:29264) pci, ohci_hcd, USB, MCP55 USB Controller
:(4318:877:5218:29264) pci, ehci_hcd, USB, MCP55 USB Controller
:(4098:38040:6023:8809) pci, radeon, VIDEO, RV730 PRO [Radeon HD 4650]
:(4098:43576:6023:43576) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(6178:20021:6884:3) pci, Mantis, MULTIMEDIA, Mantis DTV PCI Bridge Controller [Ver 1.0]
:(4318:883:5218:29264) pci, forcedeth, BRIDGE, MCP55 Ethernet
:(4318:888:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:883:5218:29264) pci, forcedeth, BRIDGE, MCP55 Ethernet
:(4318:885:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:887:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:878:5218:29264) pci, pata_amd, STORAGE, MCP55 IDE
:(4318:884:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:895:5218:29264) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:895:5218:29264) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:895:5218:29264) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:884:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/system-fedora16 / ext4 4096 4096 5414699 3604500 3332936 1359872 1112741 1112741
:/dev/sde2 /boot ext4 1024 1024 508745 435865 410265 128016 127791 127791
:/dev/mapper/system-home /home ext4 4096 4096 2751061 1585309 1447274 690880 679640 679640
:/dev/mapper/system-data WITHHELD ext4 4096 4096 50089842 46261659 43754088 12541952 12541940 12541940
:
Comment 1 Fedora End Of Life 2013-01-16 06:33:06 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:55:30 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.